org.apache.solr.client.solrj.request

## Class LukeRequest

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<LukeResponse>
  - - org.apache.solr.client.solrj.request.LukeRequest

All Implemented Interfaces:
  Serializable

    public class LukeRequest
    extends SolrRequest<LukeResponse>

Since:
  solr 1.3
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.SolrRequest

`SUPPORTED_METHODS, useBinaryV2, usev2`

### Constructor Summary

Constructors
Constructor and Description
`LukeRequest()`
`LukeRequest(String path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addField(String f)`
`protected LukeResponse` `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
`int` `getNumTerms()`
`SolrParams` `getParams()`
`boolean` `isShowSchema()`
`void` `setFields(List<String> f)`
`void` `setNumTerms(int count)` the number of terms to return for a given field.
`void` `setShowSchema(boolean showSchema)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getBasicAuthPassword, getBasicAuthUser, getCollection, getContentStreams, getContentWriter, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback, setUseBinaryV2, setUseV2`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LukeRequest

    public LukeRequest()

#### LukeRequest

    public LukeRequest(String path)

### Method Detail

#### addField

    public void addField(String f)

#### setFields

    public void setFields(List<String> f)

#### isShowSchema

    public boolean isShowSchema()

#### setShowSchema

    public void setShowSchema(boolean showSchema)

#### getNumTerms

    public int getNumTerms()

#### setNumTerms

    public void setNumTerms(int count)

the number of terms to return for a given field. If the number is 0, it will not traverse the terms.

#### createResponse

    protected LukeResponse createResponse(SolrClient client)

Description copied from class: `SolrRequest`
Create a new SolrResponse to hold the response from the server

Specified by:
  `createResponse` in class `SolrRequest<LukeResponse>`
Parameters:
  `client` - the `SolrClient` the request will be sent to

#### getParams

    public SolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest<LukeResponse>`